<?php

class SwitchField {

  /**
   * 
   */
  private static function editor() {
    $html = sprintf('
        <label class="o2-switch-field-label">
          <div>%s</div>
          <label class="switch">
            <input type="checkbox" value="true" name="%s" %s>
            <span class="slider"></span>
          </label>
          <div>%s</div>
        </label>
    ');
    return $html;
  }

  private static function render() {
    $args_default = array(
      'text_enabled' => 'Sim',
      'text_disabled' => 'Não',
    );


    $html = '<div class="o2-switch-field">';

    $html .= self::editor();

    $html .= '';
    $html .= '</div>';
    return $html;
  }
}

function o2_switch() {
  ob_start();
?>
  <!-- Crie a label e adicione o texto -->
  <label for="toggleSwitch" class="switch-label">Ativar recurso:</label>

  <!-- Crie o switch usando um input do tipo "checkbox" e a classe "slider round" -->
  <label class="switch">
    <input type="checkbox" id="toggleSwitch">
    <span class="slider round"></span>
  </label>

  <div class="o2-switch-field">
    <label class="o2-switch-field-label">
      <div>Não</div>
      <label class="switch">
        <input type="checkbox" id="toggleSwitch">
        <span class="slider"></span>
      </label>
      <div>Sim</div>
    </label>
  </div>
<?php

  return ob_get_clean();
}
